List authorities for a person
curl --request GET \
--url https://api.engine.usesophic.com/persons/{id}/authorities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engine.usesophic.com/persons/{id}/authorities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engine.usesophic.com/persons/{id}/authorities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"authority_type": "owner",
"created_at": "2023-11-07T05:31:56Z",
"customer": {
"address": {
"city": "<string>",
"country_code": "<string>",
"district_county": "<string>",
"line1": "<string>",
"line2": "<string>",
"line3": "<string>",
"postal_code": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"customer_type": "individual",
"date_of_birth": "1988-04-12T00:00:00Z",
"first_name": "<string>",
"full_name": "<string>",
"id": "<string>",
"id_number": "<string>",
"last_name": "<string>",
"mifid_category": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"nationalities": [
"<string>"
],
"onboarding": "<string>",
"passport_number": "<string>",
"phone_number": "<string>",
"reference": "<string>",
"referrer_code": "<string>",
"risk_profile": "<string>",
"risk_score": "42.50",
"status": "active",
"tax_number": "<string>"
},
"granted_at": "2026-07-14T09:30:00Z",
"id": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"person": {
"address": {
"city": "<string>",
"country_code": "<string>",
"district_county": "<string>",
"line1": "<string>",
"line2": "<string>",
"line3": "<string>",
"postal_code": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"date_of_birth": "1988-04-12",
"first_name": "<string>",
"full_name": "<string>",
"id": "<string>",
"id_number": "<string>",
"last_name": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"nationalities": [
"<string>"
],
"passport_number": "<string>",
"person_type": "natural",
"phone_number": "<string>",
"tax_number": "<string>"
},
"revoked_at": "2026-08-01T12:00:00Z",
"status": "active"
}
]{
"code": "<string>",
"detail": "<string>",
"context": {},
"docs": "<string>",
"params": [
{
"code": "<string>",
"detail": "<string>",
"path": [
123
]
}
]
}Customers
List authorities for a person
List all authorities for a person by ID, optionally including revoked authorities.
GET
/
persons
/
{id}
/
authorities
List authorities for a person
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the person.
Query Parameters
Whether to include revoked authorities.
Response
OK
Kind of authority granted.
Available options:
owner, joint_owner, signatory, power_of_attorney, trading Customer covered by the authority.
- IndividualCustomer
- JointCustomer
- BusinessCustomer
Show child attributes
Show child attributes
Date and time the authority was granted.
Example:
"2026-07-14T09:30:00Z"
Unique resource identifier.
Person granted the authority.
- NaturalPerson
- LegalPerson
Show child attributes
Show child attributes
Date and time the authority was revoked; null while the authority is still active.
Example:
"2026-08-01T12:00:00Z"
Current authority status.
Available options:
active, revoked